%define module llfuse

Name:               python-%{module}
Version:            1.4.2
Release:            %mkrel 1
Summary:            Python Bindings for the low-level FUSE API
Group:              Development/Python
License:            LGPLv2+
URL:                https://bitbucket.org/nikratio/python-llfuse/
Source0:            %{module}-%{version}.tar.xz
BuildRequires:      pkgconfig(fuse)
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools


%description
LLFUSE is a set of Python bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.


%package -n python3-%{module}
Summary:            Python Bindings for the low-level FUSE API Python 3 packages
Group:              Development/Python
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-cython

%description -n python3-%{module}
LLFUSE is a set of Python 3 bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.


%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf src/*.egg-info

# re-generate sources
find . -type f -name "llfuse.c" -print -delete

%build
%__python3 setup.py build_cython
%py3_build

rm doc/html/.buildinfo

%install
%py3_install

%files -n python3-%{module}
%doc Changes.rst doc/html LICENSE
%{python3_sitearch}/*


%changelog
* Wed Aug 17 2022 TerryN <terryn94 at gmail.com> 1.4.2-1pclos2022
- update and rebuild for python 3.10

* Wed Jan 09 2019 tex 1.3.5-1pclos2019
- Update to version 1.3.5
